<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Login</title>
    <!-- Google Font: Source Sans Pro -->

    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>


    <link rel="stylesheet" href="style.css">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.4.0/css/all.min.css">
    <link rel="stylesheet" href="https://unpkg.com/leaflet@1.7.1/dist/leaflet.css" />

</head>

<body>
    <header>
        <nav>

            <ul class="d-flex justify-content-around align-items-center menu">
                <li>
                    <img src="./image/logo.svg" alt="">
                </li>
                <li><a href="./Home.html">Home</a></li>
                <li><a href="./LandHouse.html">Properties</a></li>
                <li><a href="./About.html">About</a></li>
                <li><a href="">Agency</a></li>
                <li><a href="">Blog</a></li>
                <li><a href="./Contact.html">Contact</a></li>
                <li>
                    <a href="./Login.html"><img src="./image/avater.png" alt=""></a>

                </li>
                <li>
                    <a href="./AddProperties.html">
                        <button id="btn-add-property" class="btn p-3">Add property</button>
                    </a>
                </li>
            </ul>
        </nav>
    </header>
    <div class="content text-white">

        <!-- contact -->

        <div class="about-us pt-5">
            <div class="row" style="width: 100%;">
                <div class="col-sm-12 text-center">
                    <p class="text-our-partner">Our Properties</p>
                    <p class="text-partner">Properties Details</p>

                    <p class="text-our-partner">Huge number of propreties availabe here for buy and sell also you can
                        find here co-living property as you like</p>



                </div>
                <img src="./image/bg-1.png" class="ml-3" alt="" style=" width: 99.9%; height: 400px;">
            </div>

        </div>

        <div class="detail-real">
            <div class="row" style="width: 100%;">
                <div class="col-sm-7">
                    <img class="img-detail" src="./image/houseDetail.jpg" alt="" width="100%">
                    <img class="img-detail detail-row-2" src="./image/houseDetail6.jpg" alt="" width="100%">
                </div>
                <div class="col-sm-5">
                    <div class="row">
                        <div class="col-sm-12 text-center">
                            <img class="img-detail" src="./image/houseDetail1.jpg" alt="" width="530px">
                        </div>
                    </div>
                    <div class="row detail-row-2">
                        <div class="col-sm-12">
                            <img class="img-detail" src="./image/houseDetail7.jpg" alt="" width="530px" height="620px">

                        </div>
                    </div>

                </div>
            </div>
            <div class="row mt-5" id="detail-main">

            </div>

        </div>

        <div class="row mb-5 mx-3 ml-5 mt-5">
            <div class="col-sm-4">
                <div class="card card-contact py-3 px-4" style="width: 20rem;">
                    <div class="d-flex justify-content-start">
                        <img src="./image/map.png" alt="" class="mt-4 mx-4" width="40px" height="55px">
                        <div class="">
                            <p class="text-partner">Address</p>
                            <p class="text-our-partner">2104 Charmaine Lane Amarillo, New York</p>
                        </div>
                    </div>
                </div>
            </div>

            <div class="col-sm-4">
                <div class="card card-contact py-3 px-4" style="width: 20rem">
                    <div class="d-flex justify-content-start">
                        <img src="./image/phone.png" alt="" class="mt-4 mx-4" width="40px" height="55px">
                        <div class="">
                            <p class="text-partner">Phone</p>
                            <p class="text-our-partner">2104 Charmaine Lane Amarillo, New York</p>
                        </div>
                    </div>
                </div>
            </div>
            <div class="col-sm-4">
                <div class="card card-contact py-3 px-4" style="width: 20rem">
                    <div class="d-flex justify-content-start">
                        <img src="./image/mail.png" alt="" class="mt-4 mx-4" width="40px" height="55px">
                        <div class="">
                            <p class="text-partner">Email</p>
                            <p class="text-our-partner">2104 Charmaine Lane Amarillo, New York</p>
                        </div>
                    </div>
                </div>
            </div>
        </div>


    </div>

    </div>

    <footer>
        <div class="row footer">
            <div class="col-sm-3">
                <img src="./image/logo.svg" alt="">
                <p class="mt-4">Properties are most budget friendly so you have are find opportunity is main
                    responsibility to
                    clients</p>
                <p>© CodeCarnival. All Rights Reserved - Privacy Policy</p>
            </div>

            <div class="col-sm-3 pl-5 ml-5 foot-a">
                <p class="foot-title ">Information.</p>
                <p><a class="" href="">About us</a></p>
                <p><a href="">Properties</a></p>
                <p><a class="" href="">Careers</a></p>
                <p><a href="">Payment</a></p>
                <p><a href="">Blog Post</a></p>






            </div>
            <div class="col-sm-3 foot-a ">
                <p class="foot-title">Support.</p>
                <p><a href="">Add Properties</a></p>
                <p> <a href="">Times & Conditions</a></p>
                <p> <a href="">Help Line</a></p>
                <p><a href="">Our Agents</a></p>
                <p> <a href="">Features</a></p>



            </div>
            <div class="col-sm-2">
                <p class="foot-title">Address.</p>
                <p>2104 Charmaine Lane Amarillo, New York</p>
            </div>


        </div>
        <div>

        </div>



    </footer>

    <!-- demo -->
    <div>

    </div>
    <!-- demo -->

</body>
<script>
    "use strict";
    /*** REGION 1 - Global variables - Vùng khai báo biến, hằng số, tham số TOÀN CỤC */
    const gBASE_URL = "http://localhost:8080/"
    // Lấy giá trị user_id từ LocalStorage
    var accessToken = localStorage.getItem('token');
    var urlParams = new URLSearchParams(window.location.search);
    var vIdReal = urlParams.get('id-real');
    /*** REGION 2 - Vùng gán / thực thi sự kiện cho các elements */
    $(document).ready(function () {
        onLoadRealById();
    })


    /*** REGION 3 - Event handlers - Vùng khai báo các hàm xử lý sự kiện */
    function onLoadRealById() {
        $.ajax({
            url: gBASE_URL + "realestate/" + vIdReal,
            type: "GET",
            headers: { "Authorization": "Bearer " + accessToken },
            success: function (paramRes) {
                htmlRowDetail(paramRes);
            },
            error: function (paramErr) {
                alert(paramErr.status);
            }

        })
    }
    /*** REGION 4 - Common funtions - Vùng khai báo hàm dùng chung trong toàn bộ chương trình*/
    function htmlRowDetail(paramData) {
        $("#detail-main").append(`
            <div class="col-sm-8">
                <h1 class="">${paramData.title}<h1>
                <p class="my-col"> <img src="./image/map.png" class="mr-3" width="15px" alt="">${paramData.address}</p>
                <div class="d-flex justify-content my-col">
                    <p class="ml-3 text-danger" style="font-size:30px">Price: ${paramData.price}</p>
                    <p class="ml-3">Area: ${paramData.acreage} m2</p>
                    <p class="ml-3">Bedroom: ${paramData.bedroom}</p>
                    <p class="ml-3">Bath: ${paramData.bath}</p>
                </div>
                <p class="my-col" >- Introduce:</p>
                <p class="my-col">+ Location: House in ${paramData.address}.</p>
                
                <p class="my-col" >+ Huge number of propreties availabe here for buy, sell and Rent. and easy to distinguish. In a free hour, when our power of choice</p>
                <p class="my-col" >+ Acreage: ${paramData.acreage} m2, Width x Long ${paramData.withY} x ${paramData.longX}.</p>
                <p class="my-col" >+ Structure: House  ${paramData.numberFloors} floors, Comprising: 1 living room, ${paramData.bedroom} bedrooms, ${paramData.bath} bath.</p>
                <p class="my-col" >+ Very suitable for living, renting, accumulating property.</p>

                <div class="my-col mt-5">
                    <p class="mb-3">Floor plan</p>
                    <div class="row">
                        <div class="col-sm-6">
                            <img src="./image/houseDetail4.jpg" alt="">
                        </div>
                        <div class="col-sm-6">
                             <img src="./image/houseDetail4.jpg" alt="">
                        </div>
                    </div>

                </div>
                <hr>
                <div class="d-flex justify-content-between">
                    <p class="mr-5">Date Create</p>
                   
                    
                    
                    
                    <p class="">View Number</p>
                </div>
                <div class="d-flex justify-content-between my-col">
                    <p class="mr-5">${paramData.dateCreate}</p>
                    
                    
                    <p>${paramData.viewNum}</p>
                </div>

                <p>Contact PhoneNumber: 123456789 Mr.Java</p>
            </div>
            <div class="col-sm-4">
                <div class="detail-user">
                <div class="d-flex justify-content-between">
                    <img src="./image/avater.png" alt="">
                    <p>Avatar</p>
                    <p>2 real estate news posted</p>
                </div>
                <div class="d-flex justify-content-between">
                    <button class="btn btn-pro">Follow</button>
                    <button class="btn btn-pro">...</button>
                    <button class="btn btn-pro">Call us</button>
                </div>
            </div>
            </div>
        `)
    }



</script>




</html>